<?php
if(isset($access['for_r_cr']) && (isset($_GET['act']) && $_GET['act']=='new' || !isset($_GET['act']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_r` WHERE `id_forum` = '$forum[id]'"),0)==0)){
	echo '<form method="post" action="/forum/'.$forum['id'].'/?act=new&amp;ok">';
	echo 'Название раздела:<br/><input name="name" type="text" maxlength="32" value=""/><br/>';

if($user['set_translit']==1){
	echo '<label><input type="checkbox" name="translit1" value="1"/> Транслит</label><br/>';
	}

echo '<input value="Создать" type="submit"/><br/>';
echo ' - <a href="/forum/'.$forum['id'].'/">Отмена</a></form>';
}

if(isset($access['for_f_ed']) && (isset($_GET['act']) && $_GET['act']=='set')){
	echo '<form method="post" action="/forum/'.$forum['id'].'/?act=set&amp;ok">';
	echo 'Название форума:<br/><input name="name" type="text" maxlength="32" value="'.$forum['name'].'"/><br/>';

if($user['set_translit']==1){
	echo '<label><input type="checkbox" name="translit1" value="1"/> Транслит</label><br/>';
	}

echo 'Описание:<br/><textarea name="opis">'.esc(trim(stripcslashes(htmlspecialchars($forum['opis'])))).'</textarea><br/>';

if($user['set_translit']==1){
	echo '<label><input type="checkbox" name="translit2" value="1"/> Транслит</label><br/>';
	}

echo 'Позиция:<br/><input name="pos" type="text" maxlength="3" value="'.$forum['pos'].'"/><br/>';

if($user['level']>=3){
if($forum['adm']==1){
	$check=' checked="checked"';
	}else{
		$check=NULL;
		}

echo '<label><input type="checkbox"'.$check.' name="adm" value="1"/> Только для администрации</label><br/>';
}

echo '<input value="Изменить" type="submit"/><br/>';
echo '&#187;&nbsp;<a href="/forum/'.$forum['id'].'/">Отмена</a></form>';
}

if(isset($_GET['act']) && $_GET['act']=='del' && isset($access['for_f_ed'])){
	echo '<div class="err">Подтвердите удаление форума<br/><a href="/forum/'.$forum['id'].'/?act=delete&amp;ok">Да</a> <a href="/forum/'.$forum['id'].'/">Нет</a></div>';
	}

if(isset($access['for_r_cr'])){
	echo '<img src="http://vrozetke.ru/style/themes/green/graph/add.png" alt="i" /><a href="/forum/'.$forum['id'].'/?act=new"> Новый раздел</a><br/>';
	}

if(isset($access['for_f_ed'])){
	echo '<img src="http://vrozetke.ru/style/themes/green/graph/settings.png" alt="i" /><a href="/forum/'.$forum['id'].'/?act=set"> Параметры форума</a><br/>';
	echo '<img src="http://vrozetke.ru/style/themes/green/graph/trash.png" alt="i" /><a href="/forum/'.$forum['id'].'/?act=del"> Удалить форум</a><br/>';
	}
?>